Author Topic: "Pausing" to smell the roses  (Read 3168 times)

0 Members and 1 Guest are viewing this topic.

confusedCADguy

  • Guest
"Pausing" to smell the roses
« on: August 05, 2004, 06:22:20 PM »
Can anyone tell me why this isn't working?  I'm inserting a block (sc1) that has an attribute and I'm using "pause" so the user can enterinformation for that attribute.  For some reason the "pause" isn't being recognised.  Interestingly, some of my other routines which use "pause" aren't working also.  Could it be 2005 or maybe I'm missing a subroutine?  Here's the code:

(defun c:scut(/ osn la dms pt1 pt2 tang angl )
   (setq osn (getvar "osmode"))
   (setq la (getvar "clayer"))
   (setvar "osmode" 0)
   (command "-layer" "s" "s-anno-bold" "")
   (command "-units" "2" "2" "1" "2" "" "")
   (setq dms (getvar "dimscale"))
   (setq pt1 (getpoint "\nLocate secion cut: "))
   (setq pt2 (getpoint "\nLocate end of section cut: " pt1))
   (setq tang (angle pt1 pt2))
   (setq angl (angtoc tang))
   (command "pline" pt1 pt2 "")
   (command "insert" "sc1" PT1 DMS "" angl pause)
   (setvar "osmode" osn)
   (setvar "clayer" la)
   (command "-units" "4" "16" "" "" "" "")
(princ)
)


Any help is appreciated, this has been driving me crazy all day.

confusedCADguy

  • Guest
"Pausing" to smell the roses
« Reply #1 on: August 05, 2004, 06:27:36 PM »
NEVERMIND!!!!!!!!  Wouldn't you know, as soon as I asked the question I'd figure it out.

ATTDIA was set to 0.  

Thanks anyway.